<template>
  <div id="app">
    <router-view />
    <van-overlay :show="showInitLoading" z-index="999">
      <div class="wrapper">
        <van-loading type="spinner" color="#1989fa" />
      </div>
    </van-overlay>
  </div>
</template>

<script>
import { Overlay, Loading } from "vant";
import { mapGetters } from "vuex";

export default {
  components: {
    [Overlay.name]: Overlay,
    [Loading.name]: Loading,
  },
  computed: {
    ...mapGetters(["showInitLoading"]),
  },
};
</script>

<style lang="less">
#app {
  height: 100%;
  .wrapper {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
</style>
